Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.digester
Class BeanPropertySetterRule

    java.lang.Object
      org.apache.commons.digester.Rule
          org.apache.commons.digester.BeanPropertySetterRule

    public class BeanPropertySetterRule

extends Rule

Rule implements sets a bean property on the top object to the body text.

The property set:

- can be specified when the rule is created
- or can match the current element when the rule is called.

Using the second method and the `ExtendedBaseRules` child match pattern, all the child elements can be automatically mapped to properties on the parent object.

Field Summary
`protected String` | `bodyText` The body text used to set the property.
`protected String` | `propertyName` Set this property on the top object.

Fields inherited from class org.apache.commons.digester.Rule
`digester, namespaceURI`

Constructor Summary
`BeanPropertySetterRule()` Construct rule that automatically sets a property from the body text.
`BeanPropertySetterRule(Digester digester)` Deprecated. The digester instance is now set in the `Digester.addRule(java.lang.String, org.apache.commons.digester.Rule)` method. Use `BeanPropertySetterRule()` instead.
`BeanPropertySetterRule(Digester digester, String propertyName)` Deprecated. The digester instance is now set in the `Digester.addRule(java.lang.String, org.apache.commons.digester.Rule)` method. Use `BeanPropertySetterRule(String propertyName)` instead.
`BeanPropertySetterRule(String propertyName)` Construct rule that sets the given property from the body text.

Method Summary
`void` | `body(String namespace, String name, String text)` Process the body text of this element.
`void` | `end(String namespace, String name)` Process the end of this element.
`void` | `finish()` Clean up after parsing is complete.
`String` | `toString()` Render a printable version of this Rule.

Methods inherited from class org.apache.commons.digester.Rule
`begin, begin, body, end, getDigester, getNamespaceURI, setDigester, setNamespaceURI`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### propertyName

    protected String propertyName

  Set this property on the top object.

### bodyText

    protected String bodyText

  The body text used to set the property.

Constructor Detail

### BeanPropertySetterRule

    public BeanPropertySetterRule(Digester digester,
                                  String propertyName)

  Deprecated. The digester instance is now set in the `Digester.addRule(java.lang.String, org.apache.commons.digester.Rule)` method. Use `BeanPropertySetterRule(String propertyName)` instead.

  Construct rule that sets the given property from the body text.

  Parameters:
    `digester` - associated `Digester`
    `propertyName` - name of property to set

### BeanPropertySetterRule

    public BeanPropertySetterRule(Digester digester)

  Deprecated. The digester instance is now set in the `Digester.addRule(java.lang.String, org.apache.commons.digester.Rule)` method. Use `BeanPropertySetterRule()` instead.

  Construct rule that automatically sets a property from the body text.

  This construct creates a rule that sets the property on the top object named the same as the current element.

  Parameters:
    `digester` - associated `Digester`

### BeanPropertySetterRule

    public BeanPropertySetterRule(String propertyName)

  Construct rule that sets the given property from the body text.

  Parameters:
    `propertyName` - name of property to set

### BeanPropertySetterRule

    public BeanPropertySetterRule()

  Construct rule that automatically sets a property from the body text.

  This construct creates a rule that sets the property on the top object named the same as the current element.

Method Detail

### body

    public void body(String namespace,
                     String name,
                     String text)
              throws Exception

  Process the body text of this element.

  Overrides:
    `body` in class `Rule`
  Parameters:
    `namespace` - the namespace URI of the matching element, or an empty string if the parser is not namespace aware or the element has no namespace
    `name` - the local name if the parser is namespace aware, or just the element name otherwise
    `text` - The text of the body of this element
  Throws:
    `Exception`

### end

    public void end(String namespace,
                    String name)
             throws Exception

  Process the end of this element.

  Overrides:
    `end` in class `Rule`
  Parameters:
    `namespace` - the namespace URI of the matching element, or an empty string if the parser is not namespace aware or the element has no namespace
    `name` - the local name if the parser is namespace aware, or just the element name otherwise
  Throws:
    `NoSuchMethodException` - if the bean does not have a writeable property of the specified name
    `Exception`

### finish

    public void finish()
                throws Exception

  Clean up after parsing is complete.

  Overrides:
    `finish` in class `Rule`
  Throws:
    `Exception`

### toString

    public String toString()

  Render a printable version of this Rule.

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2008 The Apache Software Foundation. All Rights Reserved.